## audioinvert

audioinvert

## Properties

gfloat | degree | Read / Write

## Types and Values

struct | GstAudioInvert

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GstObject
                ╰── GstElement
                    ╰── GstBaseTransform
                        ╰── GstAudioFilter
                            ╰── GstAudioInvert

## Description

Swaps upper and lower half of audio samples. Mixing an inverted sample on top of the original with a slight delay can produce effects that sound like resonance. Creating a stereo sample from a mono source, with one channel inverted produces wide-stereo sounds.

### Example launch line

    1
    2
    3

    gst-launch-1.0 audiotestsrc wave=saw ! audioinvert degree=0.4 ! alsasink
    gst-launch-1.0 filesrc location="melo1.ogg" ! oggdemux ! vorbisdec ! audioconvert ! audioinvert degree=0.4 ! alsasink
    gst-launch-1.0 audiotestsrc wave=saw ! audioconvert ! audioinvert degree=0.4 ! audioconvert ! alsasink

## Synopsis

### Element Information

plugin | audiofx
author | Sebastian Dröge <slomo@circular-chaos.org>
class | Filter/Effect/Audio

### Element Pads

name | sink
direction | sink
presence | always
details | audio/x-raw, format=(string){ S16LE, F32LE }, rate=(int)[ 1, 2147483647 ], channels=(int)[ 1, 2147483647 ], layout=(string){ interleaved, non-interleaved }

name | src
direction | source
presence | always
details | audio/x-raw, format=(string){ S16LE, F32LE }, rate=(int)[ 1, 2147483647 ], channels=(int)[ 1, 2147483647 ], layout=(string){ interleaved, non-interleaved }

## Functions

## Types and Values

### struct GstAudioInvert

    struct GstAudioInvert;

## Property Details

### The `“degree”` property

      “degree”                   gfloat

Degree of inversion.

Owner: GstAudioInvert

Flags: Read / Write

Allowed values: [0,1]

Default value: 0